Skip to main content
GET
List projects

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:25

Items per page

Required range: 1 <= x <= 100
companyId
string<uuid>

Filter to one company

Search project name/summary

Maximum string length: 200
status
string[]

PSA status values (repeat the key or comma-separate)

Required string length: 1 - 100
healthStatus
enum<string>[]

Overlay health status (repeatable)

Available options:
on_track,
at_risk,
blocked,
completed
excludeCompleted
boolean
default:false
showOnlyClosed
boolean
default:false
needsAttention
boolean

Only projects at risk, blocked, overdue or with pending client actions

sortBy
enum<string>
Available options:
name,
psa_last_update,
due_date,
company_name,
updated_at
sortDir
enum<string>
Available options:
asc,
desc

Response

Projects

data
object[]
required
pagination
object
required